<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


$flat_block_ID = sanitize_text_field( $_GET['block_id'] );
?>
<div class="block_checkbox_view">
	<?php
	$flat_pm_view_all = get_post_meta($flat_block_ID, 'flat_pm_view', true);
	$flat_pm_view_all['view_enabled'] = ((get_post_meta($flat_block_ID, 'flat_pm_block_enabled', true) == '1') ? 'true' : 'false');
	?>
	<div class="item_geo_block">
		<input type="checkbox" name="view_check_setting" id="view_check_setting"<?php if( $flat_pm_view_all['view_enabled'] == 'true' ) echo ' checked="checked"'; ?>>
		<label for="view_check_setting" class="select_none">Этот рекламный блок </label>
	</div>

	<div class="item_view_block">
		<?php
		$flat_pm_view_how = get_post_meta($flat_block_ID, 'flat_pm_view', true)['how'];
		?>
		<input type="radio" name="view_2_level" id="view_2_level_sub_1"<?php if(isset($flat_pm_view_how['simple'])) echo ' checked="checked"'; ?>>
		<label for="view_2_level_sub_1" class="select_none"><span style="position:relative;z-index:3">Простые</span></label>

		<input type="radio" name="view_2_level" id="view_2_level_sub_2"<?php if(isset($flat_pm_view_how['onсe'])) echo ' checked="checked"'; ?>>
		<label for="view_2_level_sub_2" class="select_none"><span style="position:relative;z-index:3">Один раз</span></label>

		<input type="radio" name="view_2_level" id="view_2_level_sub_3"<?php if(isset($flat_pm_view_how['iterable'])) echo ' checked="checked"'; ?>>
		<label for="view_2_level_sub_3" class="select_none"><span style="position:relative;z-index:3">Каждые N</span></label>

		<input type="radio" name="view_2_level" id="view_2_level_sub_4"<?php if(isset($flat_pm_view_how['popup'])) echo ' checked="checked"'; ?>>
		<label for="view_2_level_sub_4" class="select_none"><span style="position:relative;z-index:3">Всплывающие</span></label>
		
		<input type="radio" name="view_2_level" id="view_2_level_sub_5"<?php if(isset($flat_pm_view_how['outgoing'])) echo ' checked="checked"'; ?>>
		<label for="view_2_level_sub_5" class="select_none"><span style="position:relative;z-index:3">Выезжающие</span></label>

		<div class="view_2_level_sub_1">
			<input type="radio" name="base_radio_type" id="base_radio_type_id_1"<?php if(isset($flat_pm_view_how['simple']) && $flat_pm_view_how['simple']['position'] == '1' || !isset($flat_pm_view_how['simple']['position'])) echo ' checked="checked"'; ?>>
			<label for="base_radio_type_id_1" class="select_none">В начале статьи</label>

			<input type="radio" name="base_radio_type" id="base_radio_type_id_2"<?php if(isset($flat_pm_view_how['simple']) && $flat_pm_view_how['simple']['position'] == '2') echo ' checked="checked"'; ?>>
			<label for="base_radio_type_id_2" class="select_none">В центре статьи</label>

			<input type="radio" name="base_radio_type" id="base_radio_type_id_3"<?php if(isset($flat_pm_view_how['simple']) && $flat_pm_view_how['simple']['position'] == '3') echo ' checked="checked"'; ?>>
			<label for="base_radio_type_id_3" class="select_none">В конце статьи</label>

			<input type="radio" name="base_radio_type" id="base_radio_type_id_4"<?php if(isset($flat_pm_view_how['simple']) && $flat_pm_view_how['simple']['position'] == '4') echo ' checked="checked"'; ?>>
			<label for="base_radio_type_id_4" class="select_none">Дробное соотношение по тегам 
				<input type="text" name="base_radio_type_fraction" id="base_radio_type_id_4_fraction" placeholder="1/4" value="<?php if(isset($flat_pm_view_how['simple']) && $flat_pm_view_how['simple']['position'] == '4' && isset($flat_pm_view_how['simple'])) echo $flat_pm_view_how['simple']['fraction']; ?>">
			</label>

			<input type="radio" name="base_radio_type" id="base_radio_type_id_5"<?php if(isset($flat_pm_view_how['simple']) && $flat_pm_view_how['simple']['position'] == '5') echo ' checked="checked"'; ?>>
			<label for="base_radio_type_id_5" class="select_none">Через N символов 
				<input type="text" name="base_radio_type_fraction" id="base_radio_type_id_5_fraction" placeholder="N" value="<?php if(isset($flat_pm_view_how['simple']) && $flat_pm_view_how['simple']['position'] == '5' && isset($flat_pm_view_how['simple'])) echo $flat_pm_view_how['simple']['fraction']; ?>">
			</label>

			<input type="radio" name="base_radio_type" id="base_radio_type_id_6"<?php if(isset($flat_pm_view_how['simple']) && $flat_pm_view_how['simple']['position'] == '6') echo ' checked="checked"'; ?>>
			<label for="base_radio_type_id_6" class="select_none">
				Через % символов 
				<input type="text" name="base_radio_type_fraction" id="base_radio_type_id_6_fraction" placeholder="%" value="<?php if(isset($flat_pm_view_how['simple']) && $flat_pm_view_how['simple']['position'] == '6' && isset($flat_pm_view_how['simple'])) echo $flat_pm_view_how['simple']['fraction']; ?>">
				 с минимальным интервалом 
				<input type="text" name="base_radio_type_interval" id="base_radio_type_id_6_interval" placeholder="N" value="<?php if(isset($flat_pm_view_how['simple']) && $flat_pm_view_how['simple']['position'] == '6' && isset($flat_pm_view_how['simple'])) echo $flat_pm_view_how['simple']['interval']; ?>">
			</label>
		</div>


		<div class="view_2_level_sub_2 pseudo1">
			<div class="flex_flat">
				<div class="item_flex">
					<input type="checkbox" name="direction_check_block" id="direction_check_block"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['direction'] == 'top_to_bottom' || !isset($flat_pm_view_how['onсe']['direction'])) echo ' checked="checked"'; ?>>
					<label for="direction_check_block" title="Направление поиска по статье"></label>
				</div>

				<div class="item_flex">
					<input type="radio" name="before_or_after" id="before_or_after_1" value="before"<?php if(!isset($flat_pm_view_how['onсe']['before_after']) || $flat_pm_view_how['onсe']['before_after'] == 'before') echo ' checked="checked"'; ?>>
					<label for="before_or_after_1" class="select_none">Вывести перед</label>

					<input type="radio" name="before_or_after" id="before_or_after_2" value="after"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['before_after'] == 'after') echo ' checked="checked"'; ?>>
					<label for="before_or_after_2" class="select_none">Вывести после</label>

					<input type="radio" name="before_or_after" id="before_or_after_3" value="prepend"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['before_after'] == 'prepend') echo ' checked="checked"'; ?>>
					<label for="before_or_after_3" class="select_none">Добавить в начало</label>

					<input type="radio" name="before_or_after" id="before_or_after_4" value="append"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['before_after'] == 'append') echo ' checked="checked"'; ?>>
					<label for="before_or_after_4" class="select_none">Добавить в конец</label>
				</div>

				<div class="item_flex">
					<input type="text" name="N_counter" id="N_counter" placeholder="N" value="<?php if(isset($flat_pm_view_how['onсe'])) echo $flat_pm_view_how['onсe']['N']; ?>">
				</div>

				<div class="item_flex">
					<p>
						<select name="tag_choosen" id="tag_choosen">
							<option value=".flat_pm_start~p"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == '.flat_pm_start~p') echo ' selected="selected"'; ?>>Параграфов &lt;p&gt;</option>
							<option value="img"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'img') echo ' selected="selected"'; ?>>Картинок &lt;img&gt;</option>
							<option value="iframe"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'iframe') echo ' selected="selected"'; ?>>Видео &lt;iframe&gt;</option>
							<option value="blockquote"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'blockquote') echo ' selected="selected"'; ?>>Цитат &lt;blockquote&gt;</option>
							<option value="ul"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'ul') echo ' selected="selected"'; ?>>Списков &lt;ul&gt;</option>
							<option value="ol"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'ol') echo ' selected="selected"'; ?>>Списков &lt;ol&gt;</option>
							<option value="h1"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'h1') echo ' selected="selected"'; ?>>H1 &lt;h1&gt;</option>
							<option value="h2"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'h2') echo ' selected="selected"'; ?>>H2 &lt;h2&gt;</option>
							<option value="h3"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'h3') echo ' selected="selected"'; ?>>H3 &lt;h3&gt;</option>
							<option value="h4"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'h4') echo ' selected="selected"'; ?>>H4 &lt;h4&gt;</option>
							<option value="h5"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'h5') echo ' selected="selected"'; ?>>H5 &lt;h5&gt;</option>
							<option value="h6"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['selector'] == 'h6') echo ' selected="selected"'; ?>>H6 &lt;h6&gt;</option>
						</select>
						<br>&nbsp;&nbsp;или укажите свой селектор&nbsp;&nbsp;<br>
						<input type="text" name="selector_choosen" id="selector_choosen" placeholder="tag.class#id[attr=&quot;attr&quot;]" title="tag&#013;.class&#013;#id&#013;[attr=&quot;attr&quot;]"<?php if(isset($flat_pm_view_how['onсe']) && !in_array($flat_pm_view_how['onсe']['selector'], array('.flat_pm_start~p','img','iframe','blockquote','ul','ol','h1','h2','h3','h4','h5','h6'))) echo ' value="'.htmlspecialchars($flat_pm_view_how['onсe']['selector']).'"'; ?>>
					</p>
				</div>

				<div class="item_flex">
					<input type="checkbox" name="find_at_all_page" id="find_at_all_page"<?php if(isset($flat_pm_view_how['onсe']) && $flat_pm_view_how['onсe']['search_all'] == 'true') echo ' checked="checked"'; ?>>
					<label for="find_at_all_page" class="select_none" title="Поиск не только по статье, а по всей странице">скать<br>по всему документу</label>
				</div>
			</div>
		</div>


		<div class="view_2_level_sub_3 pseudo1">
			<div class="flex_flat">
				<div class="item_flex">
					<input type="checkbox" name="direction_check_block_N" id="direction_check_block_N"<?php if(!isset($flat_pm_view_how['iterable']['direction']) || $flat_pm_view_how['iterable']['direction'] == 'top_to_bottom') echo ' checked="checked"'; ?>>
					<label for="direction_check_block_N" title="Направление поиска по статье"></label>
				</div>

				<div class="item_flex">
					<input type="radio" name="before_or_after_N" id="before_or_after_N_1" value="before"<?php if(!isset($flat_pm_view_how['iterable']['before_after']) || $flat_pm_view_how['iterable']['before_after'] == 'before') echo ' checked="checked"'; ?>>
					<label for="before_or_after_N_1" class="select_none">Вывести перед</label>

					<input type="radio" name="before_or_after_N" id="before_or_after_N_2" value="after"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['before_after'] == 'after') echo ' checked="checked"'; ?>>
					<label for="before_or_after_N_2" class="select_none">Вывести после</label>

					<input type="radio" name="before_or_after_N" id="before_or_after_N_3" value="prepend"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['before_after'] == 'prepend') echo ' checked="checked"'; ?>>
					<label for="before_or_after_N_3" class="select_none">Добавить в начало</label>

					<input type="radio" name="before_or_after_N" id="before_or_after_N_4" value="append"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['before_after'] == 'append') echo ' checked="checked"'; ?>>
					<label for="before_or_after_N_4" class="select_none">Добавить в конец</label>
				</div>

				<div class="item_flex">
					<p><input type="text" name="N_counter_N" id="N_counter_N" placeholder="N" value="<?php if(isset($flat_pm_view_how['iterable'])) echo $flat_pm_view_how['iterable']['N']; ?>"> каждых</p>
				</div>

				<div class="item_flex">
					<p>
						<select name="tag_choosen_N" id="tag_choosen_N">
							<option value=".flat_pm_start~p"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == '.flat_pm_start~p') echo ' selected="selected"'; ?>>Параграфов &lt;p&gt;</option>
							<option value="img"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'img') echo ' selected="selected"'; ?>>Картинок &lt;img&gt;</option>
							<option value="iframe"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'iframe') echo ' selected="selected"'; ?>>Видео &lt;iframe&gt;</option>
							<option value="blockquote"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'blockquote') echo ' selected="selected"'; ?>>Цитат &lt;blockquote&gt;</option>
							<option value="ul"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'ul') echo ' selected="selected"'; ?>>Списков &lt;ul&gt;</option>
							<option value="ol"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'ol') echo ' selected="selected"'; ?>>Списков &lt;ol&gt;</option>
							<option value="h1"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'h1') echo ' selected="selected"'; ?>>H1 &lt;h1&gt;</option>
							<option value="h2"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'h2') echo ' selected="selected"'; ?>>H2 &lt;h2&gt;</option>
							<option value="h3"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'h3') echo ' selected="selected"'; ?>>H3 &lt;h3&gt;</option>
							<option value="h4"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'h4') echo ' selected="selected"'; ?>>H4 &lt;h4&gt;</option>
							<option value="h5"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'h5') echo ' selected="selected"'; ?>>H5 &lt;h5&gt;</option>
							<option value="h6"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['selector'] == 'h6') echo ' selected="selected"'; ?>>H6 &lt;h6&gt;</option>
						</select>
						<br>&nbsp;&nbsp;или укажите свой селектор&nbsp;&nbsp;<br>
						<input type="text" name="selector_choosen_N" id="selector_choosen_N" placeholder="tag.class#id[attr=&quot;attr&quot;]" title="tag&#013;.class&#013;#id&#013;[attr=&quot;attr&quot;]"<?php if(isset($flat_pm_view_how['iterable']) && !in_array($flat_pm_view_how['iterable']['selector'], array('.flat_pm_start~p','img','iframe','blockquote','ul','ol','h1','h2','h3','h4','h5','h6'))) echo ' value="'.htmlspecialchars($flat_pm_view_how['iterable']['selector']).'"'; ?>>
					</p>
				</div>

				<div class="item_flex">
					<input type="checkbox" name="find_at_all_page_N" id="find_at_all_page_N"<?php if(isset($flat_pm_view_how['iterable']) && $flat_pm_view_how['iterable']['search_all'] == 'true') echo ' checked="checked"'; ?>>
					<label for="find_at_all_page_N" class="select_none" title="Поиск не только по статье, а по всей странице">скать<br>по всему документу</label>
				</div>
			</div>
		</div>


		<div class="view_2_level_sub_4 pseudo2">
			<div class="flex_flat">
				<div class="item_flex">
					<input type="checkbox" name="cross_check_block_1" id="cross_check_block_1"<?php if(!isset($flat_pm_view_how['popup']['cross']) || $flat_pm_view_how['popup']['cross'] == 'true') echo ' checked="checked"'; ?>>
					<label for="cross_check_block_1" class="select_none">ыводить крестик</label>

					<input type="checkbox" name="timer_check_block_1" id="timer_check_block_1"<?php if(isset($flat_pm_view_how['popup']['timer']) && $flat_pm_view_how['popup']['timer'] == 'true') echo ' checked="checked"'; ?>>
					<label for="timer_check_block_1" class="select_none">ыводить таймер закрытия <input type="text" name="whence_radio_block_5_px" id="whence_radio_block_5_px" placeholder="секунд" value="<?php if(isset($flat_pm_view_how['popup']) && isset($flat_pm_view_how['popup']['timer_count'])) echo $flat_pm_view_how['popup']['timer_count']; ?>" style="text-align:center"></label>
					<input type="checkbox" name="cookie_check_block_1" id="cookie_check_block_1"<?php if(!isset($flat_pm_view_how['popup']['cookie']) || $flat_pm_view_how['popup']['cookie'] == 'true') echo ' checked="checked"'; ?>>

					<label for="cookie_check_block_1" class="select_none">ыводить повторно после закрытия</label>
				</div>

				<div class="item_flex">
					<p style="padding:0 5px">Выводить через 
						<input type="text" name="after_px_vs_s_block_1" id="after_px_vs_s_block_1" value="<?php if(isset($flat_pm_view_how['popup'])) echo $flat_pm_view_how['popup']['after']; ?>">
						<input type="checkbox" name="px_vs_s_check_block_1" id="px_vs_s_check_block_1"<?php if(!isset($flat_pm_view_how['popup']['px_s']) || $flat_pm_view_how['popup']['px_s'] == 'px') echo ' checked="checked"'; ?>>
						<label for="px_vs_s_check_block_1" class="select_none"></label>
					</p>
				</div>

				<div class="item_flex">
					<p style="padding-left:5px">При попытке покинуть страницу 
						<input type="checkbox" name="close_window_check_block_1" id="close_window_check_block_1"<?php if(isset($flat_pm_view_how['popup']) && $flat_pm_view_how['popup']['close_window'] == 'true') echo ' checked="checked"'; ?>>
						<label for="close_window_check_block_1" class="select_none"></label>
					</p>
				</div>
			</div>
		</div>


		<div class="view_2_level_sub_5 pseudo3">
			<div class="flex_flat">
				<div class="item_flex">
					<input type="checkbox" name="cross_check_block_2" id="cross_check_block_2"<?php if(!isset($flat_pm_view_how['outgoing']['cross']) || $flat_pm_view_how['outgoing']['cross'] == 'true') echo ' checked="checked"'; ?>>
					<label for="cross_check_block_2" class="select_none">ыводить крестик</label>
					<input type="checkbox" name="timer_check_block_2" id="timer_check_block_2"<?php if(isset($flat_pm_view_how['outgoing']['timer']) && $flat_pm_view_how['outgoing']['timer'] == 'true') echo ' checked="checked"'; ?>>
					<label for="timer_check_block_2" class="select_none">ыводить таймер закрытия <input type="text" name="whence_radio_block_6_px" id="whence_radio_block_6_px" placeholder="секунд" value="<?php if(isset($flat_pm_view_how['outgoing']) && isset($flat_pm_view_how['outgoing']['timer_count'])) echo $flat_pm_view_how['outgoing']['timer_count']; ?>" style="text-align:center"></label>
					<input type="checkbox" name="cookie_check_block_2" id="cookie_check_block_2"<?php if(!isset($flat_pm_view_how['outgoing']['cookie']) || $flat_pm_view_how['outgoing']['cookie'] == 'true') echo ' checked="checked"'; ?>>
					<label for="cookie_check_block_2" class="select_none">ыводить повторно после закрытия</label>
				</div>

				<div class="item_flex">
					<input type="radio" name="whence_radio_block" id="whence_radio_block_1"<?php if(!isset($flat_pm_view_how['outgoing']['whence']) || $flat_pm_view_how['outgoing']['whence'] == '1') echo ' checked="checked"'; ?>>
					<label for="whence_radio_block_1" class="select_none">Сверху по центру</label>
					<input type="radio" name="whence_radio_block" id="whence_radio_block_2"<?php if(isset($flat_pm_view_how['outgoing']) && $flat_pm_view_how['outgoing']['whence'] == '2') echo ' checked="checked"'; ?>>
					<label for="whence_radio_block_2" class="select_none">Снизу по центру</label>
					<input type="radio" name="whence_radio_block" id="whence_radio_block_3"<?php if(isset($flat_pm_view_how['outgoing']) && $flat_pm_view_how['outgoing']['whence'] == '3') echo ' checked="checked"'; ?>>
					<label for="whence_radio_block_3" class="select_none">Слева, отступ снизу <input type="text" name="whence_radio_block_3_px" id="whence_radio_block_3_px" placeholder="px" value="<?php if(isset($flat_pm_view_how['outgoing']) && $flat_pm_view_how['outgoing']['whence'] == '3') echo $flat_pm_view_how['outgoing']['indent']; ?>"></label>
					<input type="radio" name="whence_radio_block" id="whence_radio_block_4"<?php if(isset($flat_pm_view_how['outgoing']) && $flat_pm_view_how['outgoing']['whence'] == '4') echo ' checked="checked"'; ?>>
					<label for="whence_radio_block_4" class="select_none">Справа, отступ снизу <input type="text" name="whence_radio_block_4_px" id="whence_radio_block_4_px" placeholder="px" value="<?php if(isset($flat_pm_view_how['outgoing']) && $flat_pm_view_how['outgoing']['whence'] == '4') echo $flat_pm_view_how['outgoing']['indent']; ?>"></label>
				</div>

				<div class="item_flex">
					<p style="padding-left:5px">Выводить через 
						<input type="text" name="after_px_vs_s_block_2" id="after_px_vs_s_block_2" value="<?php if(isset($flat_pm_view_how['outgoing'])) echo $flat_pm_view_how['outgoing']['after']; ?>">
						<input type="checkbox" name="px_vs_s_check_block_2" id="px_vs_s_check_block_2"<?php if(!isset($flat_pm_view_how['outgoing']['px_s']) || $flat_pm_view_how['outgoing']['px_s'] == 'px') echo ' checked="checked"'; ?>>
						<label for="px_vs_s_check_block_2" class="select_none"></label>
					</p>
				</div>
			</div>

			<p style="padding-top:20px;text-align:center;display:block">При попытке покинуть страницу 
				<input type="checkbox" name="close_window_check_block_2" id="close_window_check_block_2"<?php if(isset($flat_pm_view_how['outgoing']) && $flat_pm_view_how['outgoing']['close_window'] == 'true') echo ' checked="checked"'; ?>>
				<label for="close_window_check_block_2" class="select_none"></label>
			</p>
		</div>
	</div>


	<div class="view_1_level_sub_2 item_view_block" style="text-align:center;margin-top:20px;padding-top:20px;border-top:2px dashed #8590c3">
		<h2><span style="color:red">Не</span> выводить блок</h2>

		<div class="min_chapter_length" style="float:left;font-size:16px;text-align:right">
			если <b style="font-weight:bold">контента</b> <span style="color:red">меньше</span> <input type="text" name="min_chapter_length" id="min_chapter_length" placeholder="N" value="<?php if( isset( $flat_pm_view_all['chapter_limit'] ) ) echo $flat_pm_view_all['chapter_limit']; ?>"> символов<br><br>

			если <b style="font-weight:bold">контента</b> <span style="color:red">больше</span> <input type="text" name="max_chapter_length" id="max_chapter_length" placeholder="N" value="<?php if( isset( $flat_pm_view_all['chapter_sub'] ) ) echo $flat_pm_view_all['chapter_sub']; ?>"> символов
		</div>

		<div class="min_chapter_length" style="float:right;font-size:16px;text-align:right">
			если <b style="font-weight:bold">заголовков</b> <span style="color:red">меньше</span> <input type="text" name="min_title_length" id="min_title_length" placeholder="N" value="<?php if( isset( $flat_pm_view_all['title_limit'] ) ) echo $flat_pm_view_all['title_limit']; ?>"> штук<br><br>

			если <b style="font-weight:bold">заголовков</b> <span style="color:red">больше</span> <input type="text" name="max_title_length" id="max_title_length" placeholder="N" value="<?php if( isset( $flat_pm_view_all['title_sub'] ) ) echo $flat_pm_view_all['title_sub']; ?>"> штук
		</div>

		<p>Оставьте <span style="color:red;font-size:16px">пустым</span>, если ограничение не нужно</p>
	</div>
</div>